Re: Perl on HPUX

2001-04-12 Thread Philip Newton

Dean wrote:
 DOH! Its running 4.0.1.8

Well, perl4.0 patchlevel 36 -- usually called 4.036, I think.

And AFAIK it's only supported in the context of the kernel debugger q4, not
for developing (sort-of like the cc shipped with HPUX is only to be used to
re-build the kernel and hence is still KR; you have to pay money to get a
"real" cc).

Cheers,
Philip
-- 
Philip Newton [EMAIL PROTECTED]
All opinions are my own, not my employer's.
If you're not part of the solution, you're part of the precipitate.



Re: Perl on HPUX

2001-04-12 Thread Philip Newton

Robert Shiels wrote:
 From: "Dean" [EMAIL PROTECTED]
  Question for the list, i'm currently writing some scripts 
  for a HP box running HPUX 11 and i keep hitting the same
  error when ever i try and use
 
 Last time I used the default perl on HP-UX, it turned out to 
 be perl 4. You may need a more recent distribution.

I don't think HPUX comes any newer than 11. He just needs a recent Perl; you
don't get decent Perl (nor decent cc) shipped with HPUX.

Cheers,
Philip
-- 
Philip Newton [EMAIL PROTECTED]
All opinions are my own, not my employer's.
If you're not part of the solution, you're part of the precipitate.



Re: Perl on HPUX

2001-04-12 Thread Philip Newton

Elaine -HFB- Ashton wrote:
 http://cpan.valueclick.com/ports/#hpux
 
 There is also a 5.something version for the 10.20 and the 9.x crowd
 mentioned in the HP-UX FAQ

Perl appears to build quite well from source, as well, even on 10.20 -- err,
that's assuming you have a real cc, however (either HP's for-pay ANSI C
compiler or gcc, for example).

Cheers,
Philip
-- 
Philip Newton [EMAIL PROTECTED]
All opinions are my own, not my employer's.
If you're not part of the solution, you're part of the precipitate.



Re: Perl on HPUX

2001-04-11 Thread Dean

On Tue, Apr 10, 2001 at 12:54:54PM -0500, Elaine -HFB- Ashton wrote:
 http://cpan.valueclick.com/ports/#hpux

The http://hpux.connect.org.uk/ site looks like a good resource if a little
behind.

 http://lists.perl.org/showlist.cgi?name=perl-hpux
 could also use some life :)

Not another mailing list... You can't make me! I'm only moving some Linux
scripts across to HPUX so i doubt I'd be much use on the list. The error
threw me since i'm too new to this to know Perl 4.

Dean
-- 
Profanity is the one language all programmers understand
   --- Anon



Re: Perl on HPUX

2001-04-11 Thread Elaine -HFB- Ashton

Dean [[EMAIL PROTECTED]] quoth:
*
*The http://hpux.connect.org.uk/ site looks like a good resource if a little
*behind.

What part of HP-UX didn't scream 'behind' :)

*Not another mailing list... You can't make me! I'm only moving some Linux
*scripts across to HPUX so i doubt I'd be much use on the list. The error
*threw me since i'm too new to this to know Perl 4.

Sadly, the list isn't terribly active but, depending on the platform,
vendor specific lists can be very useful in such situations.

e.



Re: Perl on HPUX

2001-04-11 Thread Dean

On Wed, Apr 11, 2001 at 08:58:55AM -0500, Elaine -HFB- Ashton wrote:
What part of HP-UX didn't scream 'behind' :)

The price tag ;)

Sadly, the list isn't terribly active but, depending on the platform,
vendor specific lists can be very useful in such situations.

But do they have Buffy discussions ? Or Grep ;)

Dean
-- 
Profanity is the one language all programmers understand
   --- Anon



Perl on HPUX

2001-04-10 Thread Dean

Hi All
Question for the list, i'm currently writing some scripts for a HP box
running HPUX 11 and i keep hitting the same error when ever i try and use
something (even 'use strict;'.) The error is "syntax error in file p2.pl
at line 2, next 2 tokens "use strict" ". The file is a noddy script with

#!/usr/contrib/bin/perl
use strict;

print "Working...\n";

Does anyone on list have any experience with perl on this platform and know
if i need to change the shebang or anything similar.

Dean
-- 
Profanity is the one language all programmers understand
   --- Anon



Re: Perl on HPUX

2001-04-10 Thread Dominic Mitchell

On Tue, Apr 10, 2001 at 01:11:07PM +0100, Dean wrote:
 Hi All
   Question for the list, i'm currently writing some scripts for a HP box
 running HPUX 11 and i keep hitting the same error when ever i try and use
 something (even 'use strict;'.) The error is "syntax error in file p2.pl
 at line 2, next 2 tokens "use strict" ". The file is a noddy script with
 
 #!/usr/contrib/bin/perl
 use strict;
 
 print "Working...\n";
 
 Does anyone on list have any experience with perl on this platform and know
 if i need to change the shebang or anything similar.

Try doing:

/usr/contrib/bin/perl -V

To find out what version it is and post back.

-Dom



Re: Perl on HPUX

2001-04-10 Thread Matthew Byng-Maddick

On Tue, 10 Apr 2001, Dean wrote:
   Question for the list, i'm currently writing some scripts for a HP box
 running HPUX 11 and i keep hitting the same error when ever i try and use
 something (even 'use strict;'.) The error is "syntax error in file p2.pl
 at line 2, next 2 tokens "use strict" ". The file is a noddy script with
 
 #!/usr/contrib/bin/perl
 use strict;
 
 print "Working...\n";
 
 Does anyone on list have any experience with perl on this platform and know
 if i need to change the shebang or anything similar.

What end of line characters is your editor putting in? If not \n this may
be part of the problem.

Also you're missing a "-w" on the end of the shebang line... :)

MBM

-- 
Matthew Byng-Maddick   Home: [EMAIL PROTECTED]  +44 20  8980 5714  (Home)
http://colondot.net/   Work: [EMAIL PROTECTED] +44 7956 613942  (Mobile)
standards n.: The principles upon which we reject other people's code.




Re: Perl on HPUX

2001-04-10 Thread Dean

On Tue, Apr 10, 2001 at 01:13:59PM +0100, Dominic Mitchell wrote:
 /usr/contrib/bin/perl -V
 
 To find out what version it is and post back.

DOH! Its running 4.0.1.8

Should have spotted that... Next time you get told the dev box is a copy of
the producing box don't believe them :)

Thanks Dominic
Dean
-- 
Profanity is the one language all programmers understand
   --- Anon



Re: Perl on HPUX

2001-04-10 Thread Robert Shiels

From: "Dean" [EMAIL PROTECTED]
 Hi All
 Question for the list, i'm currently writing some scripts for a HP box
 running HPUX 11 and i keep hitting the same error when ever i try and use

Last time I used the default perl on HP-UX, it turned out to be perl 4. You
may need a more recent distribution.

/Robert




Re: Perl on HPUX

2001-04-10 Thread Dominic Mitchell

On Tue, Apr 10, 2001 at 01:17:55PM +0100, Dean wrote:
 On Tue, Apr 10, 2001 at 01:13:59PM +0100, Dominic Mitchell wrote:
  /usr/contrib/bin/perl -V
  
  To find out what version it is and post back.
 
 DOH! Its running 4.0.1.8
 
 Should have spotted that... Next time you get told the dev box is a copy of
 the producing box don't believe them :)

*grin*  That version of Perl is so old it should be in a museum.  :-)

-Dom



Re: Perl on HPUX

2001-04-10 Thread David Cantrell

On Tue, Apr 10, 2001 at 01:11:07PM +0100, Dean wrote:

 Question for the list, i'm currently writing some scripts for a HP box
 running HPUX 11 and i keep hitting the same error when ever i try and use
 something (even 'use strict;'.) The error is "syntax error in file p2.pl
 at line 2, next 2 tokens "use strict" ". The file is a noddy script with
 
 #!/usr/contrib/bin/perl
 use strict;
 
 print "Working...\n";
 
 Does anyone on list have any experience with perl on this platform and know
 if i need to change the shebang or anything similar.

do perl -v to find out what version you have.  If use of use is causing
problems then you may have a (fear) perl4 there.  If that's the case,
kill someone slowly and painfully.

-- 
David Cantrell | [EMAIL PROTECTED] | http://www.cantrell.org.uk/david/

This is a signature.  There are many like it but this one is mine.

** I read encrypted mail first, so encrypt if your message is important **